package com.imcode.forum.sql;

import com.imcode.db.handlers.ObjectFromRowFactory;
import org.apache.commons.dbutils.ResultSetHandler;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Collection;

class CollectionResultSetHandler implements ResultSetHandler  {

    private ObjectFromRowFactory factory;
    private Collection collection;

    CollectionResultSetHandler(ObjectFromRowFactory objectFromRowFactory, Collection collection) {
        factory = objectFromRowFactory ;
        this.collection = collection;
    }

    public Object handle(ResultSet resultSet) throws SQLException {
        while (resultSet.next()) {
            collection.add(factory.createObjectFromResultSetRow(resultSet)) ;
        }
        return collection ;
    }
}
